@import url(./variables/desktop.css);
@import url(./variables/giant.css);
@import url(./variables/tablet.css);
@import url(./variables/mobile.css);

@import url(./typography.css);

@import url(./utils.css);
@import url(./snippets/header.css);
@import url(./snippets/footer.css);
@import url(./snippets/pair.css);
@import url(./snippets/button.css);
@import url(./snippets/konzert.css);
@import url(./snippets/logo.css);
@import url(./snippets/quote.css);
@import url(./snippets/cards.css);
@import url(./snippets/newsletter.css);

@import url(./templates/aktuell.css);
@import url(./templates/konzerte.css);
@import url(./templates/home.css);
@import url(./templates/dieBand.css);
@import url(./templates/medien.css);

*,
*::before,
*::after {
  box-sizing: border-box;

  /* color: #483587; */
}

body {
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
}

.header,
.body__header,
nav {
  z-index: 100;
}

.page {
  width: 100%;
  max-width: 2600px;

  display: flex;
  flex-direction: column;
  min-height: 100vh;
}
.body__main {
  flex-grow: 1;
  width: 100%;
  padding: var(--unit-200);
}

/* Links */
a,
.link {
  color: inherit;
  text-decoration: none;
  white-space: nowrap;
  cursor: pointer;

  text-decoration: underline;
  text-decoration-thickness: var(--unit-10);
  text-underline-offset: 4px;
}

a:hover {
  color: var(--colors-primary);
}

ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}
